GET

contacts API

Retrieve and manage contacts records from the Apps4Edu sync database.

Endpoint Path

GET /api/contacts

CURL Example

curl "https://api.apps4education.co.uk/api/contacts?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
personID int
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "personID": 101,
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.